- Main Page
- Modules
- Namespaces
- Classes
- Files

# Global List Join Functions

Join Lists of various lengths, flattening the list that is returned. More...

## Functions
template<class Type>
Type | Join (Type &L1, Type &L2)
| Join 2 Lists.
template<class Type>
Type | Join (Type &L1, Type &L2, Type &L3)
| Join 3 Lists.
template<class Type>
Type | Join (Type &L1, Type &L2, Type &L3, Type &L4)
| Join 4 Lists.
template<class Type>
Type | Join (Type &L1, Type &L2, Type &L3, Type &L4, Type &L5)
| Join 5 Lists.
template<class Type>
Type | Join (Type &L1, Type &L2, Type &L3, Type &L4, Type &L5, Type &L6)
| Join 6 Lists.
template<class Type>
Type | Join (Type &L1, Type &L2, Type &L3, Type &L4, Type &L5, Type &L6, Type &L7)
| Join 7 Lists.

## Detailed Description

Join Lists of various lengths, flattening the list that is returned.

They are used in "Musimathics" for simplicity.

## Function Documentation

template<class Type>

Type Join | ( | Type & | L1,
|  | Type & | L2,
|  | Type & | L3,
|  | Type & | L4,
|  | Type & | L5,
|  | Type & | L6,
|  | Type & | L7 |
| ) |  |  | `[inline]`

Join 7 Lists.

Definition at line 589 of file List.h.

References Return.

    00589 { Return L1 + L2 + L3 + L4 + L5 + L6 + L7; }

template<class Type>

Type Join | ( | Type & | L1,
|  | Type & | L2,
|  | Type & | L3,
|  | Type & | L4,
|  | Type & | L5,
|  | Type & | L6 |
| ) |  |  | `[inline]`

Join 6 Lists.

Definition at line 586 of file List.h.

References Return.

    00586 { Return L1 + L2 + L3 + L4 + L5 + L6; }

template<class Type>

Type Join | ( | Type & | L1,
|  | Type & | L2,
|  | Type & | L3,
|  | Type & | L4,
|  | Type & | L5 |
| ) |  |  | `[inline]`

Join 5 Lists.

Definition at line 583 of file List.h.

References Return.

    00583 { Return L1 + L2 + L3 + L4 + L5; }

template<class Type>

Type Join | ( | Type & | L1,
|  | Type & | L2,
|  | Type & | L3,
|  | Type & | L4 |
| ) |  |  | `[inline]`

Join 4 Lists.

Definition at line 580 of file List.h.

References Return.

    00580 { Return L1 + L2 + L3 + L4; }

template<class Type>

Type Join | ( | Type & | L1,
|  | Type & | L2,
|  | Type & | L3 |
| ) |  |  | `[inline]`

Join 3 Lists.

Definition at line 577 of file List.h.

References Return.

    00577 { Return L1 + L2 + L3; }

template<class Type>

Type Join | ( | Type & | L1,
|  | Type & | L2 |
| ) |  |  | `[inline]`

Join 2 Lists.

Definition at line 574 of file List.h.

References Return.

    00574 { Return ( L1 + L2 ); }